Skip to content
Start here

Get screenshot

client.URLScanner.Scans.Screenshot(ctx, scanID, params) (*Response, error)
GET/accounts/{account_id}/urlscanner/v2/screenshots/{scan_id}.png

Get scan's screenshot by resolution (desktop/mobile/tablet).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
URL Scanner WriteURL Scanner Read
ParametersExpand Collapse
scanID string

Scan UUID.

formatuuid
params ScanScreenshotParams
AccountID param.Field[string]

Path param: Account ID.

Resolution param.Field[ScanScreenshotParamsResolution]optional

Query param: Target device type.

const ScanScreenshotParamsResolutionDesktop ScanScreenshotParamsResolution = "desktop"
const ScanScreenshotParamsResolutionMobile ScanScreenshotParamsResolution = "mobile"
const ScanScreenshotParamsResolutionTablet ScanScreenshotParamsResolution = "tablet"
ReturnsExpand Collapse
type ScanScreenshotResponse interface{…}

Get screenshot

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/url_scanner"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.URLScanner.Scans.Screenshot(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    url_scanner.ScanScreenshotParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response)
}
Returns Examples